#ifndef __PIC24F_PERIPH_FEATURES_H
#define __PIC24F_PERIPH_FEATURES_H


/******************************************************************************
 *                  PERIPHERAL SELECT HEADER FILE
 ******************************************************************************
 * FileName:        pic24f_periph_features.h
 * Dependencies:    See include below
 * Processor:       PIC24
 * Compiler:        MPLAB C30
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 * The software supplied herewith by Microchip Technology Incorporated
 * (the Company) for its PICmicro Microcontroller is intended and
 * supplied to you, the Companys customer, for use solely and
 * exclusively on Microchip PICmicro Microcontroller products. The
 * software is owned by the Company and/or its supplier, and is
 * protected under applicable copyright laws. All rights are reserved.
 * Any use in violation of the foregoing restrictions may subject the
 * user to criminal sanctions under applicable laws, as well as to
 * civil liability for the breach of the terms and conditions of this
 * license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN AS IS CONDITION. NO WARRANTIES,
 * WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 * TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 * IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *****************************************************************************/

#include <p24Fxxxx.h>
#include <GenericTypeDefs.h>

/* By default, configuration constants are assembled from macros */
/* using the bit-wise AND operator (&). An alternate mode is */
/* available in which constants are assembled using the bit-wise */
/* OR operator (|) to set values and bit-wise AND (&) masks to */
/* clear values. To enable the alternate mode, define the */
/* USE_AND_OR symbol. */
/* */
/* To define this macro as a compiler option: */
/* -DUSE_AND_OR */
/* To define this macro in source code: */
/* #define USE_AND_OR */


#ifdef   __PIC24FJ16GA002__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ16GA002'      */
/*############################################################*/

/* ADC */
#define adc_v1_1

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_1

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ32GA002__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ32GA002'      */
/*############################################################*/

/* ADC */
#define adc_v1_1

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_1

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ48GA002__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ48GA002'      */
/*############################################################*/

/* ADC */
#define adc_v1_1

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_1

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GA002__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GA002'      */
/*############################################################*/

/* ADC */
#define adc_v1_1

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_1

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ16GA004__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ16GA004'      */
/*############################################################*/

/* ADC */
#define adc_v1_4

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_2

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ32GA004__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ32GA004'      */
/*############################################################*/

/* ADC */
#define adc_v1_4

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_2

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ48GA004__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ48GA004'      */
/*############################################################*/

/* ADC */
#define adc_v1_4

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_2

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GA004__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GA004'      */
/*############################################################*/

/* ADC */
#define adc_v1_4

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_2

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GA006__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GA006'      */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_3

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ96GA006__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ96GA006'      */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_3

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GA006__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GA006'     */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_3

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GA008__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GA008'      */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_4

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ96GA008__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ96GA008'      */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_4

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GA008__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GA008'     */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_4

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GA010__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GA010'      */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_4

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ96GA010__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ96GA010'      */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_4

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GA010__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GA010'     */
/*############################################################*/

/* ADC */
#define adc_v1_3

/* CMP */
#define cmp_v1_1

/* CN */
#define cn_v1_4

/* CTMU */
/*No configuration chosen for this peripheral*/

/* INTERRUPT */
#define int_v1_2

/* INCAP */
#define icap_v1_2

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v1_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v2_2

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GA106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GA106'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_4

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_6

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ192GA106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ192GA106'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_4

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_6

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GA106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GA106'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_4

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_6

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GA108__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GA108'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_5

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_7

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ192GA108__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ192GA108'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_5

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_7

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GA108__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GA108'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_5

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_7

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GA110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GA110'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_6

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_8

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ192GA110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ192GA110'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_6

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_8

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GA110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GA110'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_6

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_8

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GB106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GB106'      */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_1

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GB106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GB106'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_1

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ192GB106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ192GB106'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_1

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GB106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GB106'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_1

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_1

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GB108__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GB108'      */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_2

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GB108__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GB108'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_2

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ192GB108__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ192GB108'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_2

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GB108__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GB108'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_2

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_2

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GB110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GB110'      */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_3

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_3

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GB110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GB110'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_3

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_3

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ192GB110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ192GB110'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_3

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_3

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GB110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GB110'     */
/*############################################################*/

/* ADC */
#define adc_v2_1

/* CMP */
#define cmp_v2_2

/* CN */
#define cn_v2_3

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_2

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define pmp_v2_1

/* pps */
#define pps_v2_3

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24F08KA101__
/*############################################################*/
/*          Configuration for device =  'PIC24F08KA101'       */
/*############################################################*/

/* ADC */
#define adc_v1_2

/* CMP */
#define cmp_v2_1

/* CN */
#define cn_v3_1

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_1

/* I2C */
#define i2c_v1_1

/* SPI */
#define spi_v1_1

/* OUTCMP */
#define ocmp_v1_1

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v2_1

/* TIMERS */
#define tmr_v1_1

/* UART */
#define uart_v1_1

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v2_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24F16KA101__
/*############################################################*/
/*          Configuration for device =  'PIC24F16KA101'       */
/*############################################################*/

/* ADC */
#define adc_v1_2

/* CMP */
#define cmp_v2_1

/* CN */
#define cn_v3_1

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_1

/* I2C */
#define i2c_v1_1

/* SPI */
#define spi_v1_1

/* OUTCMP */
#define ocmp_v1_1

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v2_1

/* TIMERS */
#define tmr_v1_1

/* UART */
#define uart_v1_1

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v2_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24F08KA102__
/*############################################################*/
/*          Configuration for device =  'PIC24F08KA102'       */
/*############################################################*/

/* ADC */
#define adc_v1_2

/* CMP */
#define cmp_v2_1

/* CN */
#define cn_v3_2

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_1

/* I2C */
#define i2c_v1_1

/* SPI */
#define spi_v1_1

/* OUTCMP */
#define ocmp_v1_1

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v2_1

/* TIMERS */
#define tmr_v1_1

/* UART */
#define uart_v1_1

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v2_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24F16KA102__
/*############################################################*/
/*          Configuration for device =  'PIC24F16KA102'       */
/*############################################################*/

/* ADC */
#define adc_v1_2

/* CMP */
#define cmp_v2_1

/* CN */
#define cn_v3_2

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_1

/* I2C */
#define i2c_v1_1

/* SPI */
#define spi_v1_1

/* OUTCMP */
#define ocmp_v1_1

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v2_1

/* TIMERS */
#define tmr_v1_1

/* UART */
#define uart_v1_1

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
#define crc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v2_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24F04KA200__
/*############################################################*/
/*          Configuration for device =  'PIC24F04KA200'       */
/*############################################################*/

/* ADC */
#define adc_v1_7

/* CMP */
#define cmp_v2_4

/* CN */
#define cn_v3_3

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_1

/* I2C */
#define i2c_v1_1

/* SPI */
#define spi_v1_1

/* OUTCMP */
#define ocmp_v1_1

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v2_1

/* TIMERS */
#define tmr_v1_1

/* UART */
#define uart_v1_3

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
/*No configuration chosen for this peripheral*/

/* RTCC */
/*No configuration chosen for this peripheral*/

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v2_2

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24F04KA201__
/*############################################################*/
/*          Configuration for device =  'PIC24F04KA201'       */
/*############################################################*/

/* ADC */
#define adc_v1_7

/* CMP */
#define cmp_v2_4

/* CN */
#define cn_v3_4

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v1_1

/* I2C */
#define i2c_v1_1

/* SPI */
#define spi_v1_1

/* OUTCMP */
#define ocmp_v1_1

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v2_1

/* TIMERS */
#define tmr_v1_1

/* UART */
#define uart_v1_3

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
/*No configuration chosen for this peripheral*/

/* CRC */
/*No configuration chosen for this peripheral*/

/* RTCC */
/*No configuration chosen for this peripheral*/

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v2_2

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GB002__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GB002'      */
/*############################################################*/

/* ADC */
#define adc_v1_6

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_9

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ32GB002__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ32GB002'      */
/*############################################################*/

/* ADC */
#define adc_v1_6

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_9

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GB004__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GB004'      */
/*############################################################*/

/* ADC */
#define adc_v1_5

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_8

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_3

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ32GB004__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ32GB004'      */
/*############################################################*/

/* ADC */
#define adc_v1_5

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_8

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_3

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ32GA102__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ32GA102'      */
/*############################################################*/

/* ADC */
#define adc_v1_6

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_9

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GA102__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GA102'      */
/*############################################################*/

/* ADC */
#define adc_v1_6

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_9

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_1

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_1

/* pps */
#define pps_v1_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ32GA104__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ32GA104'      */
/*############################################################*/

/* ADC */
#define adc_v1_5

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_8

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_6

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ64GA104__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ64GA104'      */
/*############################################################*/

/* ADC */
#define adc_v1_5

/* CMP */
#define cmp_v2_3

/* CN */
#define cn_v2_8

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_1

/* I2C */
#define i2c_v1_2

/* SPI */
#define spi_v1_2

/* OUTCMP */
#define ocmp_v2_3

/* IOPORT */
#define port_v1_2

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_1

/* PMP */
#define pmp_v1_2

/* pps */
#define pps_v1_6

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
#define dpslp_v1_1

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128DA106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128DA106'     */
/*############################################################*/

/* ADC */
#define adc_v3_1

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_10

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
#define pps_v2_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256DA106__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256DA106'     */
/*############################################################*/

/* ADC */
#define adc_v3_1

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_10

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
#define pps_v2_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128DA206__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128DA206'     */
/*############################################################*/

/* ADC */
#define adc_v3_1

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_10

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
#define pps_v2_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256DA206__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256DA206'     */
/*############################################################*/

/* ADC */
#define adc_v3_1

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_10

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
/*No configuration chosen for this peripheral*/

/* pps */
#define pps_v2_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128DA110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128DA110'     */
/*############################################################*/

/* ADC */
#define adc_v3_2

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_11

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v1_1

/* pps */
#define pps_v2_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256DA110__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256DA110'     */
/*############################################################*/

/* ADC */
#define adc_v3_2

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_11

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v1_1

/* pps */
#define pps_v2_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128DA210__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128DA210'     */
/*############################################################*/

/* ADC */
#define adc_v3_2

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_11

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v1_1

/* pps */
#define pps_v2_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256DA210__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256DA210'     */
/*############################################################*/

/* ADC */
#define adc_v3_2

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_11

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v1_1

/* pps */
#define pps_v2_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GB206__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GB206'     */
/*############################################################*/

/* ADC */
#define adc_v3_1

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_10

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v2_1

/* pps */
#define pps_v2_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GB206__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GB206'     */
/*############################################################*/

/* ADC */
#define adc_v3_1

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_10

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_3

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v2_1

/* pps */
#define pps_v2_4

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ128GB210__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ128GB210'     */
/*############################################################*/

/* ADC */
#define adc_v3_2

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_11

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v2_1

/* pps */
#define pps_v2_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif
#ifdef   __PIC24FJ256GB210__
/*############################################################*/
/*          Configuration for device =  'PIC24FJ256GB210'     */
/*############################################################*/

/* ADC */
#define adc_v3_2

/* CMP */
#define cmp_v2_5

/* CN */
#define cn_v2_11

/* CTMU */
#define ctmu_v1_1

/* INTERRUPT */
#define int_v1_1

/* INCAP */
#define icap_v2_2

/* I2C */
#define i2c_v1_3

/* SPI */
#define spi_v1_3

/* OUTCMP */
#define ocmp_v2_1

/* IOPORT */
#define port_v1_4

/* PWRMGNT */
#define pwrmgnt_v1_1

/* TIMERS */
#define tmr_v1_2

/* UART */
#define uart_v1_2

/* PMP */
#define epmp_v2_1

/* pps */
#define pps_v2_5

/* CRC */
#define ecrc_v1_1

/* RTCC */
#define rtcc_v1_1

/* WDT */
#define wdt_v1_1

/* DPSLP */
/*No configuration chosen for this peripheral*/

/* SRAM */
#define sram_v1_1

#endif /*device*/

/* The following macros can be used to modify the current CPU */
/* IPL. The definition of the macro may vary from device to   */
/* device.                                                    */
/*                                                            */
/* To safely set the CPU IPL, use mSET_CPU_IP(ipl); the       */
/* valid range of ipl is 0-7, it may be any expression.       */
/*                                                            */
/* mSET_CPU_IP(7);                                            */
/*                                                            */
/* To preserve the current IPL and save it use                */
/* mSET_AND_SAVE_CPU_IP(save_to, ipl); the valid range of ipl */
/* is 0-7 and may be any expression, save_to should denote    */
/* some temporary storage.                                    */
/*                                                            */
/* int old_ipl;                                               */
/*                                                            */
/* mSET_AND_SAVE_CPU_IP(old_ipl, 7);                          */
/*                                                            */
/* The IPL can be restored with mRESTORE_CPU_IP(saved_to)     */
/*                                                            */
/* mRESTORE_CPU_IP(old_ipl);                                  */

#define mSET_CPU_IP(ipl)  SET_CPU_IPL(ipl)

#define mSET_AND_SAVE_CPU_IP(save_to, ipl) SET_AND_SAVE_CPU_IPL(save_to, ipl)

#define mRESTORE_CPU_IP(saved_to) mSET_CPU_IP(saved_to)

#endif /*__PIC24F_PERIPH_FEATURES_H*/

