
#include "PwrMgnt.h"

#if defined (pwrmgnt_v1_1) || defined (LIB_BUILD)
/******************************************************************************
 * Function:        RESET_SOURCE PwrMgnt_ResetSource_v1(void)
 *
 * PreCondition:    None
 *
 * Side Effects:    None
 *
 * Overview:        For seamless migration, it is recommended to call the above function as "RESET_SOURCE PwrMgnt_ResetSource".
 *                  This function returns the source of reset.
 *
 * Input:           None
 *
 * Returns:          RESET_SOURCE - Enum value representing the source of reset
 *
 * Note:            None
 *****************************************************************************/
RESET_SOURCE PwrMgnt_ResetSource_v1(void)
{
   if(RCONbits.POR)
   {
      return(POWER_ON_Reset);
   }
   if((RCONbits.BOR) && !(RCONbits.POR))
   {
      return(BURN_OUT_Reset);
   }
   if(RCONbits.WDTO)
   {
      return(WATCHDOG_Reset);
   }
   if(RCONbits.SWR)
   {
      return(SOFTWARE_Reset);
   }
   if(RCONbits.EXTR)
   {
      return(EXTERNAL_Reset);
   }
   if(RCONbits.CM)
   {
      return(CFG_WORD_MISMATCH_Reset);
   }
   if(RCONbits.IOPUWR)
   {
      return(ILLEGAL_INSTR_Reset);
   }
   if(RCONbits.TRAPR)
   {
      return(TRAP_Reset);
   }
}

#else
#warning "Does not build on this target"
#endif
