 

#include "ctmu.h"

#if defined (ctmu_v1_1) || defined (LIB_BUILD)

/***********************************************************************************************
Function:    void CloseCTMU (void)

Overview:    This function turns off the CTMU module and disables the CTMU interrupts. 

Parameters:  None 

Returns:     None
 
Remarks:     This function first disables the CTMU interrupt and then turns off the CTMU
             module.The Interrupt Flag bit is also cleared.
***********************************************************************************************/
void CloseCTMU(void)
{
    /* disable CTMU interrupt */
    IEC4bits.CTMUIE = 0;

    /* turn off CTMU */
    CTMUCONbits.CTMUEN = 0;
    
    /*turn off current source*/
    CTMUCONbits.EDG1STAT = 0;
    CTMUCONbits.EDG2STAT = 0;

    /* clear CTMUIF bit */
    IFS4bits.CTMUIF = 0;
}

#else
#warning "Does not build on this target"
#endif
