 
#include "dpslp.h"

#if defined (dpslp_v2_1) || defined (dpslp_v2_2) || defined (LIB_BUILD)
/*************************************************************************
 Function Prototype : unsigned char GotoDeepSleep_v2(void 

 Include            : dpslp.h

 Description        : For seamless migration, it is recommended to call the above function as "GotoDeepSleep".
					  This function configures and puts the device to deep sleep.
 
 Arguments          : none
                      
 Return Value       : -1 : if device did not enter Deep Sleep due to error in Deep Sleep sequence or interrupts
 
 Remarks            : There has to be delay of 3 Tcy between immediate successive calling of this function
*************************************************************************/

unsigned char GotoDeepSleep_v2(void)
{

	DSCONbits.DSEN = 1;					//set the deep sleep enable bit
	Sleep();							//Goto Deep Sleep
	Nop();								//Delay
	return(-1);							//Return error code if did not enter Deep Sleep
	
}
#else
#warning "Does not build on this target"
#endif



