 
#include "epmp.h"

#if defined (epmp_v1_1) ||defined (epmp_v2_1) || defined (LIB_BUILD)
/******************************************************************************
 * Function:        BOOL EPMPIsBufferNEmpty (BUFFER buf)
 *
 * PreCondition:    None
 *
 * Side Effects:    None
 *
 * Overview:        Returns state of PMSTAT.OBnE (output buffer(s) empty bit)
 *
 * Input:           buf - buffer(0..3)
 *
 * Returns:          TRUE/FALSE
 *
 * Note:            Use in SLAVE BUFFERED mode, MODE[1:0] = 00
 *					or SLAVE ENHANCED mode, MODE[1:0] = 00  and INCM[1:0]=11            
 *****************************************************************************/
BOOL EPMPIsBufferNEmpty(BUFFER buf)
{
	BOOL status = FALSE;
	
	switch(buf)
	{
	case 0:
		status = PMSTATbits.OB0E;
	break;
	case 1:
		status = PMSTATbits.OB1E;
	break;
	case 2:
		status = PMSTATbits.OB2E;
	break;
	case 3:
		status = PMSTATbits.OB3E;
	break;	
	}	
	return(status);
}
#else
#warning "Does not build on this target"
#endif


