 
#include <i2c.h>

#if defined (i2c_v1_2) || defined (i2c_v1_3) || defined (LIB_BUILD)
/*********************************************************************
Function Prototype : void CloseI2C2(void)

Include            : i2c.h 

Description        : This function turns off the I2C module 

Arguments          : None 

Return Value       : None
 
Remarks            : This function disables the I2C module and clears the
                     Master and Slave Interrupt Enable and Flag bits.
*********************************************************************/

void CloseI2C2(void)
{
    /* clear the I2CEN bit */
    I2C2CONbits.I2CEN = 0;

    /* clear the SI2C2 & MI2C2 Interrupt enable bits */
    IEC3bits.SI2C2IE = 0;
    IEC3bits.MI2C2IE = 0;

    /* clear the SI2C2 & MI2C2 Interrupt flag bits */
    IFS3bits.SI2C2IF = 0;
    IFS3bits.MI2C2IF = 0;
}

#else
#warning "Does not build on this target"
#endif
