 
#include <incap.h>

#if defined (icap_v2_2) || defined (icap_v2_1) || defined (LIB_BUILD)
/********************************************************************
Function Prototype : void CloseCapture34(void)
 
Include            : incap.h
 
Description        : This function turns off the Input Capture module
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function disables the Input Capture interrupt 
                     and then turns off the module. The Interrupt 
                     Flag bit is also cleared.                                        
********************************************************************/
void CloseCapture34(void)
{
	IEC2bits.IC3IE = 0; /* disable the interrupt */
	IEC2bits.IC4IE = 0;
	
	IC3CON1bits.ICM = 0; /* Input Capture x(ic_no) Off */
    IC4CON1bits.ICM = 0;
    
    IFS2bits.IC3IF = 0; /* disable the interrupt flag */
    IFS2bits.IC4IF = 0;
}

#else
#warning "Does not build on this target"
#endif
