 
#include <incap.h>

#if defined (icap_v1_1) ||defined (icap_v1_2) || defined (LIB_BUILD)
/*******************************************************************************
Function Prototype : void OpenCapture1_v1(unsigned int config)
 
Include            : incap.h
 
Description        : For seamless migration, it is recommended to call the above function as "OpenCapture1".
 
Arguments          :  config - This contains the parameters to be configured in the
                     ICxCON register as defined below			
 
Return Value       : None
 
Remarks            : This function configures the input capture for idle mode, clock select,
                      capture per interrupt and mode select
********************************************************************************/
void OpenCapture1_v1(unsigned int config)
{
    /* Config contains Clock source, number of Captures per interuppt
                                    and Capture Mode */
    IC1CON = config;
}

#else
#warning "Does not build on this target"
#endif
