 
#include <outcompare.h>

#if defined (ocmp_v1_1) ||defined (ocmp_v1_2) || defined (LIB_BUILD)
/**************************************************************************
Function Prototype : void CloseOC1(void) 

Include            : outcompare.h
 
Description        : This function turns off the Output Compare module.
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function disables the Output Compare interrupt and 
                     then turns off the module. The Interrupt Flag bit is 
                     also cleared.
**************************************************************************/

void CloseOC1(void)
{   
    IEC0bits.OC1IE = 0;  /* Disable the Interrupt bit in IEC Register */
    OC1CONbits.OCM = 0;  /* Turn off Output Compare */
    IFS0bits.OC1IF = 0;  /* Disable the Interrupt Flag bit in IFS Register */
}

#else
#warning "Does not build on this target"
#endif
