 
#include "Rtcc.h"

#if defined (rtcc_v1_1) || defined (LIB_BUILD)
/*********************************************************************
  Function:        void RtccWrOn(void)
 
  PreCondition:    None
 
  Input:           None
 
  Output:          None
 
  Side Effects:    None
 
  Overview:        Function to set the RCFGCAL.RTCWREN
 
  Note:            The interrupts are disabled in order to have a proper 
                   device initialization
 ********************************************************************/
void RtccWrOn(void)
{
   UINT8  CPU_IPL;
   unsigned int data;

/* Disable Global Interrupt */
   SET_AND_SAVE_CPU_IPL(CPU_IPL,7);

   asm volatile ("MOV #0x55,%0" : "=r"(data));
   asm volatile ("MOV %0,NVMKEY" : : "r"(data)); // Write the 0x55 key
   asm volatile ("MOV #0xAA,%0" : "=r"(data));
   asm volatile ("MOV %0,NVMKEY"  : : "r"(data)); // Write the 0xAA key

   RCFGCALbits.RTCWREN=1;  

/* Enable Global Interrupt */
   RESTORE_CPU_IPL(CPU_IPL);
}

#else
#warning "Does not build on this target"
#endif

