 
#include "spi.h"

#if defined (spi_v1_2) || defined (spi_v1_3) || defined (LIB_BUILD)
/****************************************************************************
Function           : void CloseSPI2(void)

Description        : This function turns off the SPI module
 
Arguments          : None
 
Returns            : None
 
Remarks            : This function disables the SPI interrupt and then turns
                     off the module.The Interrupt Flag bit is also cleared
****************************************************************************/
void CloseSPI2(void)
{
      IEC2bits.SPI2IE = 0;      /* Disable the Interrupt bit in the  Interrupt Enable Control Register */
      SPI2STATbits.SPIEN = 0;   /* Disable the module. All pins controlled  by PORT Functions */
      IFS2bits.SPI2IF = 0;      /* Disable the Interrupt flag bit in the  Interrupt Flag Control Register */    
}

#else
#warning "Does not build on this target"
#endif
