 
#include "spi.h"

#if defined (spi_v1_3) || defined (LIB_BUILD)
/**************************************************************************
Function           : void ConfigIntSPI3(unsigned int config)

Description        : This function configures the SPI Interrupt
 
Arguments          : config - SPI interrupt priority and enable/disable 
                     information as defined below
					 
		 Interrupt enable/disable					
			*	SPI_INT_EN					
			*	SPI_INT_DIS					
		 Interrupt Priority					
			*	SPI_INT_PRI_0					
			*	SPI_INT_PRI_1					
			*	SPI_INT_PRI_2					
			*	SPI_INT_PRI_3					
			*	SPI_INT_PRI_4					
			*	SPI_INT_PRI_5					
			*	SPI_INT_PRI_6					
			*	SPI_INT_PRI_7
					 
Returns            : None
 
Remarks            : This function clears the Interrupt Flag bit, sets the
                     interrupt priority and enables/disables the interrupt                          
****************************************************************************/
void ConfigIntSPI3( unsigned int config)
{
    IFS5bits.SPI3IF = 0;                 /* Clear IF bit */
    IPC22bits.SPI3IP=(config &0x0007);    /* Assign interrupt priority */
    IEC5bits.SPI3IE=(config &0x0008)>>3; /* Interrupt Enable/Disable bit */
}

#else
#warning "Does not build on this target"
#endif
