 
#include "spi.h"

#if defined (spi_v1_2) || defined (spi_v1_3) || defined (LIB_BUILD)
/******************************************************************************
Function           : char DataRdySPI2(void)

Description        : This function determines if the SPI buffer contains
                     any data to be read.
 
Arguments          : None
 
Returns            : If 1 is returned, it indicates that the data has been
                     received in the receive buffer and is to be read.
                     If 0 is returned, it indicates that the receive is not 
                     complete and the receive buffer is empty.
 
Remarks            : This function returns the status of SPI receive buffer.
                     This indicates if the SPI receive buffer contains any new 
                     data that is yet to be read as indicated by the 
                     SPIxSTAT<SPIRBF> bit. This bit is cleared by hardware 
                     when the data is read from the buffer.
*******************************************************************************/
char DataRdySPI2(void)
{   
    return SPI2STATbits.SPIRBF; /* return RBF bit status */
}

#else
#warning "Does not build on this target"
#endif
