 
#include "spi.h"

#if defined (spi_v1_1) || defined (spi_v1_2) || defined (spi_v1_3) || defined (LIB_BUILD)
/************************************************************************************
Function           : unsigned int ReadSPI1(void)

Description        : This function reads the content of the SPI Receive Buffer 
                     (SPIxBUF) register.
                     
Precondition       : Prior to calling ReadSPI, call SPI1_Rx_Buf_Full macro to check 
                     whether data is reaceived.                       
 
Arguments          : None
 
Returns            : This function returns the content of Receive Buffer 
                     (SPIxBUF) register.                    
 
Remarks            : This function returns the content of the Receive Buffer register.
                     If 16-bit communication is enabled, the data in the SPIxBUF
                     register is returned.
                     If 8-bit communication is enabled, then the lower byte of SPIxBUF
                     is returned.                     
**************************************************************************************/
unsigned int ReadSPI1(void)
{ 
   
    SPI1STATbits.SPIROV = 0;
            
    if (SPI1CON1bits.MODE16)
        return (SPI1BUF);           /* return word read */
    else
        return (SPI1BUF & 0xff);    /* return byte read */
    
}

#else
#warning "Does not build on this target"
#endif
