#include "spi.h"
#include "sram.h"

#if defined (sram_v1_1) || defined (LIB_BUILD)
/******************************************************************************
 Function:        	unsigned char SRAMReadStatusReg(void)
 
 Overview:        	This function reads the status register value of 23xxxx

 Input:           	None

 Returns:          	Returns data read from status register of SRAM

  Remarks:            	None
 *****************************************************************************/
unsigned char SRAMReadStatusReg(void)
{
	unsigned char ReadData;
	SRAM_CS = 0;			//Select SRAM
	WriteSPI(SRAM_STATUS_RD_CMD);	//Send command to read to status register of SRAM
	while(!SPI_Rx_Buf_Full);	//Wait till transmission is over
	ReadData =ReadSPI();	    //Dummy Read
	WriteSPI(SRAM_DUMMY_VAL);	//Send Dummy byte to read data from SRAM
	while(!SPI_Rx_Buf_Full);	//Wait till transmission is over
	ReadData =ReadSPI();	//Read data from SRAM
	SRAM_CS = 1;			//Deselect SRAM
	return(ReadData);		//Return data read from status register of SRAM
}

#else
#warning "Does not build on this target"
#endif
