#include "spi.h"
#include "sram.h"

#if defined (sram_v1_1) || defined (LIB_BUILD)
/******************************************************************************
 Function:        	void SRAMWriteByte(unsigned char AddLB,unsigned char AddHB,unsigned char WriteData) 
 
 Overview:        	This function writes a byte to SRAM

 Input:           	AddLB - LSB of Address of SRAM
                        AddHB - MSB of Address of SRAM 
						WriteData - Data to be written to SRAM	
						
 Returns:          	None
 
 Remarks:            	None
 *****************************************************************************/
void SRAMWriteByte(unsigned char AddLB,unsigned char AddHB,unsigned char WriteData)
{
	SRAMWriteStatusReg(SRAM_BYTE_MODE);
	SRAM_CS = 0;	
	SRAMCommand(AddLB,AddHB,SRAM_WR_CMD);//Send Write command to SRAM along with address	
	WriteSPI(WriteData);//Send Data to be written to SRAM
	while(!SPI_Rx_Buf_Full);
	WriteData = ReadSPI();
	SRAM_CS = 1;
}

#else
#warning "Does not build on this target"
#endif
