#include "spi.h"
#include "sram.h"

#if defined (sram_v1_1) || defined (LIB_BUILD)
/******************************************************************************
 Function:        	void SRAMWriteStatusReg(unsigned char WriteVal)
 
 Overview:        	This function writes to SRAM register of 23xxxx
 
  Input:           	WriteVal - To be written to status register
 
  Returns:         None
   
  Remarks:         None
 *****************************************************************************/
void SRAMWriteStatusReg(unsigned char WriteVal)
{
	unsigned char ReadData;
	SRAM_CS = 0;			//Select SRAM
	WriteSPI(SRAM_STATUS_WR_CMD);	//Send command to write the status register of SRAM
	while(!SPI_Rx_Buf_Full);	//Wait till transmission is over
	ReadData =ReadSPI();	//Dummy Read
	WriteSPI(WriteVal);		//Send a byte to be written to status register of SRAM
	while(!SPI_Rx_Buf_Full);	//Wait till transmission is over
	ReadData =ReadSPI();	//Dummy Read
	SRAM_CS = 1;			//Deselect SRAM
}

#else
#warning "Does not build on this target"
#endif
