 
#include <timer.h>

#if defined (tmr_v1_1) || defined (tmr_v1_2) || defined (LIB_BUILD)
/****************************************************************************
Function Prototype : void CloseTimer23(void)
 
Include            : timer.h
 
Description        : This function turns off the 32-bit timer module.
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function first disables the  timer 3 interrupt
                     and then turns off the timer 2 module. The Interrupt 
                     Flag bit (TxIF) is also cleared.
****************************************************************************/
void CloseTimer23(void)
{
    IEC0bits.T3IE = 0;      /* Disable the Timer3 interrupt */
    if (T2CONbits.T32 == 1)
        T2CONbits.TON = 0;  /* Disable Timer2 */
    IFS0bits.T3IF = 0;      /* Clear Timer3 interrupt flag */
}

#else
#warning "Does not build on this target"
#endif
