 
#include <timer.h>

/* These devices support Timer 4 */
#if defined (tmr_v1_2) || defined (LIB_BUILD)

/****************************************************************************
Function Prototype : void CloseTimer4(void)
 
Include            : timer.h
 
Description        : This function turns off the 16-bit timer module.
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function first disables the 16-bit timer interrupt
                     and then turns off the timer module. The Interrupt 
                     Flag bit (TxIF) is also cleared.
****************************************************************************/

void CloseTimer4(void)
{
    IEC1bits.T4IE = 0;  /* Disable the Timer4 interrupt */
    T4CONbits.TON=0;    /* disable Timer4 */
    IFS1bits.T4IF = 0;  /* Clear Timer4 interrupt flag */
}


#else
#warning "Does not build on this target"
#endif
