 
#include <timer.h>

/* These devices support Timers 4 and 5 */
#if defined (tmr_v1_2)|| defined (tmr_v1_3) || defined (LIB_BUILD)

/****************************************************************************
Function Prototype : void CloseTimer45(void)
 
Include            : timer.h
 
Description        : This function turns off the 32-bit timer module.
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function first disables the timer5 interrupt
                     and then turns off the timer4 module. The Interrupt 
                     Flag bit (TxIF) is also cleared.
****************************************************************************/

void CloseTimer45(void)
{
    IEC1bits.T5IE = 0;      /* Disable the Timer5 interrupt */
		#if defined (tmr_v1_2)
			if (T4CONbits.T32 == 1) 
	   #elif defined (tmr_v1_3)
			if (T4CONbits.T45 == 1) 
	   #endif
    T4CONbits.TON = 0;  /* Disable Timer 4 */
    IFS1bits.T5IF = 0;      /* Clear Timer5 interrupt flag */
}

#else
#warning "Does not build on this target"
#endif
