 
#include <timer.h>

/* These devices support Timer 5 */
#if defined (tmr_v1_2) || defined (LIB_BUILD)

/****************************************************************************
Function Prototype : void CloseTimer5(void)
 
Include            : timer.h
 
Description        : This function turns off the 16-bit timer module.
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function first disables the 16-bit timer interrupt
                     and then turns off the timer module. The Interrupt 
                     Flag bit (TxIF) is also cleared.
****************************************************************************/
void CloseTimer5(void)
{
    IEC1bits.T5IE = 0;  /* Disable the Timer5 interrupt */
    T5CONbits.TON=0;    /* disable Timer 5 */
    IFS1bits.T5IF = 0;  /* Clear Timer5 interrupt flag */
}

#else
#warning "Does not build on this target"
#endif
