 
#include <timer.h>

/* These devices support Timer 4 */
#if defined (tmr_v1_2) || defined (LIB_BUILD)
/****************************************************************************
Function Prototype : void ConfigIntTimer4(unsigned int config)

Include            : timer.h
 
Description        : This function configures the 16-bit timer interrupt.
 
Arguments          : config - Timer interrupt priority and enable/disable 
                     information as defined below
					 
                     Timer Interrupt Priority
		   *	T4_INT_PRIOR_7					
		   *	T4_INT_PRIOR_6					
		   *	T4_INT_PRIOR_5					
		   *	T4_INT_PRIOR_4					
		   *	T4_INT_PRIOR_3					
		   *	T4_INT_PRIOR_2					
		   *	T4_INT_PRIOR_1					
		   *	T4_INT_PRIOR_0
		  Timer Interrupt Enable\Disable 					
		   *	T4_INT_ON					
		   *	T4_INT_OFF
					 
Return Value      : None
 
Remarks           : This function clears the 16-bit Interrupt Flag (TxIF) bit 
                    and then sets the interrupt priority and enables/disables 
                    the interrupt.
******************************************************************************/
void ConfigIntTimer4(unsigned int config)
{
    IFS1bits.T4IF = 0;                   /* clear IF bit */
    IPC6bits.T4IP = (config &0x0007);    /* assigning Interrupt Priority */
    IEC1bits.T4IE = (config &0x0008)>>3; /* Interrupt Enable /Disable */
}

#else
#warning "Does not build on this target"
#endif
