 
#include <timer.h>

#if defined (tmr_v1_1) || defined (tmr_v1_2) || defined (LIB_BUILD)
/*******************************************************************************
Function Prototype : void OpenTimer1(unsigned int config,unsigned int period)
 
Include            : timer.h
 
Description        : This function configures the 16-bit timer module.
 
Arguments          : config - This contains the parameters to be configured in
                     the T1CON register as defined below
					 
			Timer Module On/Off						
			   *	T1_ON						
			   *	T1_OFF						
			Timer Module Idle mode On/Off						
			   *	T1_IDLE_CON						
			   *	T1_IDLE_STOP						
			Timer Gate time accumulation enable						
			   *	T1_GATE_ON						
			   *	T1_GATE_OFF						
			Timer prescaler						
			   *	T1_PS_1_1						
			   *	T1_PS_1_8						
			   *	T1_PS_1_64						
			   *	T1_PS_1_256						
			Timer Synchronous clock enable						
			   *	T1_SYNC_EXT_ON						
			   *	T1_SYNC_EXT_OFF						
			Timer clock source						
			   *	T1_SOURCE_EXT						
			   *	T1_SOURCE_INT						
			   
		  period - This contains the period match value to be stored 
		  into the PR register 
 
Return Value      : None
 
Remarks           : This function configures the 16-bit Timer Control register and 
                    sets the period match value into the PR register. 
**********************************************************************************/
void OpenTimer1(unsigned int config,unsigned int period)
{
    TMR1  = 0;          /* Reset Timer1 to 0x0000 */
    PR1   = period;     /* assigning Period to Timer period register */
    T1CON = config;     /* Configure timer control reg */
}

#else
#warning "Does not build on this target"
#endif
