 
#include <timer.h>

#if defined (tmr_v1_1) || defined (tmr_v1_2) || defined (LIB_BUILD)
/***********************************************************************
Function Prototype : unsigned long int ReadTimer23(void)
 
Include            : timer.h
 
Description        : This function reads the contents of the 32-bit 
                     Timer register.
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function returns the contents of the 16-bit
                     TMR2 register and TMR3HLD register.
************************************************************************/
unsigned long int ReadTimer23(void)
{
    unsigned long int timer;
    timer = TMR2;                        /* Copy Timer2 into timer low 16bit */
    timer |= (unsigned long int)TMR3HLD<<16; /* shift  16 time as TMR 3 
                                            contains MSB , TMR2 LSB */ 
    return (timer);
}

#else
#warning "Does not build on this target"
#endif
