 
#include <timer.h>

/* These devices support Timers 4 and 5 */
#if defined (tmr_v1_2) || defined (LIB_BUILD)

/***********************************************************************
Function Prototype : unsigned long int ReadTimer45(void)
 
Include            : timer.h
 
Description        : This function reads the contents of the 32-bit 
                     Timer register.
 
Arguments          : None
 
Return Value       : None
 
Remarks            : This function returns the contents of the 16-bit
                     TMR4 register and TMR5HLD register.
************************************************************************/

unsigned long int ReadTimer45(void)
{
    unsigned long int timer;
    timer = TMR4;                        /* Copy Timer4 into timer low 16bit */
    timer |= (unsigned long int)TMR5HLD<<16; /* shift  16 time as TMR 5 
                                            contains MSB , TMR4 LSB */ 
    return (timer);
}

#else
#warning "Does not build on this target"
#endif
