 
#include <timer.h>

#if defined (tmr_v1_1) || defined (tmr_v1_2) || defined (LIB_BUILD)
/************************************************************************
Function Prototype : void WriteTimer23(unsigned long int timer)
 
Include            : timer.h
 
Description        : This function writes the 32-bit value into the 
                     Timer register.
 
Arguments          : timer - This is the 32-bit value to be stored into 
                     TMR2 and TMR3HLD register.
 
Return Value       : None
 
Remarks            : None
*************************************************************************/

void WriteTimer23( unsigned long int timer)
{
    TMR3HLD = (timer>>16);
    TMR2 = timer;       /* LSB to Timer2 and MSB to Timer3HLD */    
     
}

#else
#warning "Does not build on this target"
#endif
