 
#include <timer.h>

/* These devices support Timer 4 and 5 */
#if defined (tmr_v1_2) || defined (LIB_BUILD)

/************************************************************************
Function Prototype : void WriteTimer45(unsigned long int timer)
 
Include            : timer.h
 
Description        : This function writes the 32-bit value into the 
                     Timer register.
 
Arguments          : timer - This is the 32-bit value to be stored into 
                     TMR4 and TMR5HLD register.
 
Return Value       : None
 
Remarks            : None
*************************************************************************/
void WriteTimer45( unsigned long int timer)
{   
    TMR5HLD = (timer>>16);
    TMR4 = timer;       /* LSB to Timer4 and MSB to Timer5HLD */          
}

#else
#warning "Does not build on this target"
#endif
