 
#include "uart.h"

/* UART4 is defined in following devices */
#if defined (uart_v1_2) || defined (LIB_BUILD)

/*************************************************************************
Function Prototype : char BusyUART4(void)

Include            : uart.h
 
Description        : This function returns the UART transmission status
 
Arguments          : None
 
Return Value       : If 1 is returned, it indicates that UART is busy in
                     transmission and UxSTA<TRMT> bit is 0.
                     If 0 is returned, it indicates that UART is not busy
                     and UxSTA<TRMT> bit is 1.
 
Remarks            : This function returns the status of the UART. This indicates 
                     if the UART is busy in transmission as indicated by the 
                     UxSTA<TRMT> bit.
*************************************************************************/

char BusyUART4(void)
{
    return(!U4STAbits.TRMT);
}

#else
#warning "Does not build on this target"
#endif
