 
#include "uart.h"

#if defined (uart_v1_1) || defined (uart_v1_2) || defined (uart_v1_3) || defined (LIB_BUILD)
/*********************************************************************
Function Prototype : void CloseUART1(void)
  
Include            : uart.h
 
Description        : This function disables the UART and clears the
                     interrupt enable and flag bits.  
  
Arguments          : None
 
Return Value       : None
 
Remarks            : This function first turns off the UART module and
                     then disables the UART transmit and receive interrupts.
                     The Interrupt Flag bits are also cleared.                                       
*********************************************************************/
void CloseUART1(void)
{  
    U1MODEbits.UARTEN = 0;
	
    IEC0bits.U1RXIE = 0;
    IEC0bits.U1TXIE = 0;
	
    IFS0bits.U1RXIF = 0;
    IFS0bits.U1TXIF = 0;
}

#else
#warning "Does not build on this target"
#endif
