 
#include "uart.h"

/* UART2 is defined in following devices */

#if defined (uart_v1_1) || defined (uart_v1_2) || defined (LIB_BUILD)
/*********************************************************************
Function Prototype : void CloseUART2(void)
  
Include            : uart.h
 
Description        : This function disables the UART and clears the
                     interrupt enable and flag bits.  
  
Arguments          : None
 
Return Value       : None
 
Remarks            : This function first turns off the UART module and
                     then disables the UART transmit and receive interrupts.
                     The Interrupt Flag bits are also cleared.                                       
*********************************************************************/
void CloseUART2(void)
{  
    U2MODEbits.UARTEN = 0;
	
    IEC1bits.U2RXIE = 0;
    IEC1bits.U2TXIE = 0;
	
    IFS1bits.U2RXIF = 0;
    IFS1bits.U2TXIF = 0;
}

#else
#warning "Does not build on this target"
#endif
