 
#include "uart.h"

/* UART4 is defined in following devices */
#if defined (uart_v1_2) || defined (LIB_BUILD)
/*********************************************************************
Function Prototype : void CloseUART4(void)
  
Include            : uart.h
 
Description        : This function disables the UART and clears the
                     interrupt enable and flag bits.  
  
Arguments          : None
 
Return Value       : None
 
Remarks            : This function first turns off the UART module and
                     then disables the UART transmit and receive interrupts.
                     The Interrupt Flag bits are also cleared.                                       
*********************************************************************/

void CloseUART4(void)
{
    U4MODEbits.UARTEN = 0;

    IEC5bits.U4RXIE = 0;
    IEC5bits.U4TXIE = 0;

    IFS5bits.U4RXIF = 0;
    IFS5bits.U4TXIF = 0;
}

#else
#warning "Does not build on this target"
#endif
