 
#include "uart.h"

/* UART3 is defined in following devices */
#if defined (uart_v1_2) || defined (LIB_BUILD)

/*************************************************************************************
Function Prototype : char DataRdyUART3(void)
 
Include            : uart.h
 
Description        : This function returns the UART receive buffer status.
 
Arguments          : None
 
Return Value       : If 1 is returned, it indicates that the receive buffer
                     has a data to be read.
                     If 0 is returned, it indicates that receive buffer 
                     does not have any new data to be read.
 
Remarks            : This function returns the status of the UART receive buffer.
                     This indicates if the UART receive buffer contains any new 
                     data that is yet to be read as indicated by the UxSTA<URXDA> bit 
**************************************************************************************/

char DataRdyUART3(void)
{
    return(U3STAbits.URXDA);
}

#else
#warning "Does not build on this target"
#endif
