 
#include "uart.h"


/*UART4 is defined in following devices */
#if defined (uart_v1_2) || defined (LIB_BUILD)

/*********************************************************************************************
Function Prototype : unsigned int ReadUART4(void)
 
Include            : uart.h
 
Description        : This function returns the content of UART receive buffer
                     (UxRXREG) register.
 
Arguments          : None
 
Return Value       : This function returns the contents of Receive buffer 
                     (UxRXREG) register.
 
Remarks            : This function returns the contents of the Receive Buffer register.
                     If 9 bit reception is enabled, the entire register content is returned.
                     If 8 bit reception is enabled, then register is read and the 9th bit is
                     masked.
**********************************************************************************************/
unsigned int ReadUART4(void)
{
    if(U4MODEbits.PDSEL == 3)
        return (U4RXREG);
    else
        return (U4RXREG & 0xFF);
}

#else
#warning "Does not build on this target"
#endif
