 
#include "uart.h"


/* UART2 is defined in following devices */
#if defined (uart_v1_1) || defined (uart_v1_2) || defined (LIB_BUILD)

/*********************************************************************
Function Prototype : void WriteUART2(unsigned int data)
 
Include            : uart.h
 
Description        : This function writes data to be transmitted into the 
                     transmit buffer (UxTXREG) register.
 
Arguments          : data - This is the data to be transmitted.
 
Return Value       : None
 
Remarks            : This function writes the data to be transmitted into
                     the transmit buffer.
                     If 9-bit transmission is enabled, the 9-bit value is 
                     written into the transmit buffer.
                     If 8-bit transmission is enabled, then upper byte is 
                     masked and then written into the transmit buffer.
*********************************************************************/

void WriteUART2(unsigned int data)
{
    if(U2MODEbits.PDSEL == 3)
        U2TXREG = data;
    else
        U2TXREG = data & 0xFF;  
}

#else
#warning "Does not build on this target"
#endif
